#
# spec file for package perl-Apache-SessionX
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Apache-SessionX
BuildRequires:  apache2-devel
BuildRequires:  libapr-util1-devel
BuildRequires:  mysql-client
BuildRequires:  pcre-devel
BuildRequires:  perl-Apache-Session
BuildRequires:  perl-DBD-mysql
BuildRequires:  perl-MLDBM
BuildRequires:  perl-macros
Version:        2.01
Release:        244.28
Provides:       Apache-SessionX
Requires:       apache2-mod_perl
Requires:       perl-DBI
Requires:       perl-URI
Conflicts:      perlmod
Summary:        Persistent Storage for Arbitrary Data (for Embperl)
License:        GPL-2.0+
Group:          Development/Libraries/Perl
Url:            http://cpan.org/modules/by-module/Apache/
Source:         Apache-SessionX-%{version}.tar.gz
Source1:        get-apache-version.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
Apache::SessionX extends Apache::Session. It was initially written to
use Apache::Session from inside of HTML::Embperl, but is seems to be
useful outside of Embperl as well, so here is it as standalone module.

%prep 
%setup -n Apache-SessionX-%{version}

%build
PERL_HASH_SEED=42 perl Makefile.PL
make all

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Apache/testcount.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README MANIFEST 
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Apache
%dir %{perl_vendorarch}/auto
%{perl_vendorarch}/auto/Apache

%changelog
* Thu Jan 19 2017 bwiedemann@suse.com
- set PERL_HASH_SEED to make build reproducible
* Thu Jan 16 2014 coolo@suse.com
- own all directories
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec  9 2005 sf@suse.de
- update to version 2.01
* Fri Jul 29 2005 cthiel@suse.de
- update to version 2.00b5
* Tue Aug 17 2004 ro@suse.de
- updated requires
* Sun Jun 20 2004 ro@suse.de
- build using apache2
* Sat Mar 27 2004 ro@suse.de
- use perl-DBD-mysql instead of perl-Msql-Mysql-modules
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Wed Aug 27 2003 sf@suse.de
- removed unneccessary and not working requires to apache-version
  (#29406)
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 ro@suse.de
- install to vendor locations
* Sun May 25 2003 ro@suse.de
- removed unpackaged files from buildroot
* Mon Jul 29 2002 mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Fri Feb  1 2002 sf@suse.de
- initial version
